#!/usr/bin/praat --run

# prompt user for filename and tier number
form Get durations
   sentence Filename_of_textgrid selbstmordverein_04.TextGrid
   integer Tier_number 2
endform

# check if absolute path
if startsWith (filename_of_textgrid$, "/") 
   # absolute, so just copy the value into the shortened variable
   filename$ = filename_of_textgrid$
else
   # relative, concatenate with shellDirectory
   filename$ = shellDirectory$ + "/" + filename_of_textgrid$
endif

# open textgrid file
textgrid = Read from file: filename$
selectObject: textgrid

# find out how many intervals there are in desired tier
number = Get number of intervals: tier_number

# clear info window
writeInfo: ""

# iterate over intervals
for i from 1 to number

   name$ = Get label of interval: tier_number, i
   start = Get start point: tier_number, i
   end = Get end point: tier_number, i
   duration = end - start
   appendInfoLine: name$, "	", fixed$(duration, 3)
endfor


